#
# spec file for package t38modem
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           t38modem
Version:        3.13.0
Release:        bp155.2.12
Summary:        T.38 for OpenH323 (modem-compatible interface for IP telephony)
License:        MPL-1.1
Group:          Productivity/Telephony/H323/Servers
Url:            http://www.openh323.org

Source:         https://github.com/PeteDavidson/t38modem/archive/v%version.tar.gz
Patch1:         undef.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc-c++
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(opal) >= 3.10

%description
This package contains a modem interface for IP telephony using the
H.323 and T.38 protocol standards. It implements a 'tty' interface
which resembles a FAX modem. A sample HylaFAX setup is also provided.

%prep
%setup -q
%patch -P 1 -p1

%build
make CFLAGS="%optflags" CXXFLAGS="%optflags" %{?_smp_mflags}

%install
b="%buildroot"
mkdir -p "$b/%_sbindir"
cp -a t38modem "$b/%_sbindir/"

%files
%defattr(-,root,root)
%doc ReadMe.txt
%doc HylaFAX/config.ttyx
%_sbindir/t38modem

%changelog
* Tue Sep  1 2015 jengelh@inai.de
- Update to new upstream release 3.13.0
  * fixes missing DTMF method in SDP on Invite, and resolves a
  buffer overflow.
- Added undef.diff to address compiler warning
* Fri Jul 24 2015 jengelh@inai.de
- Update to new upstream release 3.12.1
  * Added ability to set Q.931 bearer capability information element for
  H.323 connections.
  * Enabled dialing characters # and * in extension number.
  * Replaced hardcoded timeouts by S7 value (V.250).
- Switch from openh323 to opal backend
* Sun Feb 17 2013 jengelh@inai.de
- Remove redundant root cleaning
* Tue Aug 14 2012 dmueller@suse.com
- fix build on armv7hl
* Sat May 12 2007 olh@suse.de
- remove unused libavc1394-devel libdc1394-devel from Buildrequires
* Thu Mar  9 2006 bk@suse.de
- Use explicit gcc-c++ in BuildRequires (was implicit by SDL-devel)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Aug 18 2004 kkaempf@suse.de
- update to 0.7.0 (from CVS)
* Mon Mar  8 2004 ro@suse.de
- added libdc1394-devel to neededforbuild
* Sun Feb 22 2004 ro@suse.de
- updated neededforbuild and make-flags
* Sat Jan 10 2004 adrian@suse.de
- add %%defattr
* Fri Jul 18 2003 kkaempf@suse.de
- update to 0.6.4
* Thu Feb  6 2003 kkaempf@suse.de
- update to 0.6.2
* Sun Jan 26 2003 meissner@suse.de
- ppc64 support, cleaned up arch handling.
* Wed Jan 15 2003 kkaempf@suse.de
- update to 0.6.1
* Mon Nov 18 2002 kkaempf@suse.de
- add expat for VoiceXML support
- update to 0.5.0
* Sun Aug 18 2002 kkaempf@suse.de
- Update to 0.4.2
* Tue Jul  9 2002 kkaempf@suse.de
- Initial version 0.4.0
